Name: wmakerconf
Version: 2.1
Release: 1
Summary: A configuration tool for the Window Maker window manager for X.
Group: User Interface/Desktops
Copyright: GPL
Source0: ftp://sunshine.informatik.uni-wuerzburg.de/pub/wmaker/wmakerconf-%{version}.tar.gz
Source1: ftp://sunshine.informatik.uni-wuerzburg.de/pub/wmaker/wmakerconf-data-0.60.0.tar.gz
Patch0: wmakerconf-2.1-nowminst.patch
Patch2: wmakerconf-1.99.1-fix.patch
Url: http://www-info2.informatik.uni-wuerzburg.de/staff/ulli/wmakerconf
Requires: WindowMaker, perl
BuildRoot: /var/tmp/wmakerconf-root

%description
Wmakerconf is a GTK+ based graphical user interface configuration tool
for the Window Maker window manager.  Wmakerconf supports all Window
Maker attributes.  Wmakerconf provides a font selection browser, a
pixmap preview browser, a color selection dialog, a shortcut dialog,
and a file selection dialog.  Wmakerconf also provides tooltips in
multiple languages.

If you use the Window Maker window manager, you should probably
install the wmakerconf package, because it will make configuration a
little easier.

%prep
%setup -q -a 1
rm -rf data
mv -fv wmakerconf-data-0.60.0 data
%patch0 -p1
%patch2 -p1

%build
aclocal
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--with-wmakerdir=/etc/X11/WindowMaker \
	--with-wmakerprefix=/usr \
	--with-wmakerdatadir=/usr/share/WindowMaker \
	--disable-gtktest
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
strip $RPM_BUILD_ROOT/usr/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO MANUAL
/usr/bin/*
/usr/share/wmakerconf
/usr/share/locale/*/*/*

%changelog
* Thu Sep 02 1999 Cristian Gafton <gafton@redhat.com>
- version 2.1
- data files for 0.60.0

* Thu Apr 15 1999 Cristian Gafton <gafton@redhat.com>
- patch to configure for cpp
- patches to build without things like amaker already installed
- version 1.99.1

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Cristian Gafton <gafton@redhat.com>
- version 1.7

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- version 1.4
- build for glibc 2.1

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- updated data files for windowmaker 0.20 and above

* Fri Sep 18 1998 Cristian Gafton <gafton@redhat.com>
- packaged for 5.2 to be used with WindowMaker
